package ext

import "github.com/d5/tengo/objects"

// An ExternalSource provides per-IP information from third-party
// sources. The lookup can return any Tengo object, we don't want to
// force a specific return type yet (int or string can both be
// useful, we'll see).
type ExternalSource interface {
	LookupIP(string) (objects.Object, error)
}
